.select-options {
  position: relative;
}

.select-options__item {
  display: flex;
  margin: 8px 0;
}

.select-options__color {
  flex: 0 0 28px;
  line-height: 28px;
  text-align: center;
  color: $color-neutral-900;
  border-radius: 3px;
  font-size: 14px;
  margin-right: 12px;
}

.select-options__value {
  flex: 1 1 100%;
  padding: 4px 8px;
  min-width: 0;
}

.select-options__remove {
  flex: 0 0 28px;
  line-height: 28px;
  margin-left: 4px;
  text-align: center;
  color: $color-neutral-600;

  &:hover {
    color: $color-neutral-400;
  }
}

.select-options__drag-handle {
  width: 12px;
  margin: 4px 8px 4px 0;
  cursor: grab;
  background-image: radial-gradient($color-neutral-200 40%, transparent 40%);
  background-size: 4px 4px;
  background-repeat: repeat;
}

.select-options--scrollable {
  max-height: 25vh;
  overflow-y: scroll;
  margin-bottom: 12px;
}
